package cz.senslog.analytics.domain;

public record Group(long id, String name, int interval, boolean persistence, CollectorType type) {

    public Group(long id, CollectorType type) {
        this(id, null, -1, false, type);
    }

    public static Group of(long id) {
        return new Group(id, null, -1, false, null);
    }

    public static Group of(long id, String name, CollectorType type) {
        return new Group(id, name, 0, false, type);
    }
}
